using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using EVE.EVEThreading;
using EVE.EVEObjects;
using EVE.EVEOctrees;
using EVE.EVEScene;
using EVE.EVECameras;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace EVE.EVERenderer
{
    public class EVEDefaultRenderer : EVERenderManager
    {
        public EVEDefaultRenderer(EVEDoubleBuffer doubleBuffer, EVEGame game)
            : base(doubleBuffer, game)
        {}

        public override void Draw()
        {
            UpdateRenderData();

            GraphicsDevice device = this.game.Graphics.GraphicsDevice;

            device.RenderState.DepthBufferEnable = true;

            Scene.Draw(game.Graphics.GraphicsDevice);
        }
    }
}
